class CreateBatches < ActiveRecord::Migration[5.0]
  def change
    create_table :batches do |t|
    	t.datetime   :date,:null => false
    	t.references :user
    	t.references :client
   		t.string     :order_ref,:null => false
	    t.boolean    :batch_start
	    t.boolean    :batch_end
	    t.string     :created_by,:null => false
	    t.integer    :qty_processing,:null => false
	    t.integer    :qty_success, :null => false
	    t.integer    :qty_fail,:null => false
	    t.datetime   :batch_start_time
	    t.datetime   :batch_end_time
	    t.integer    :export_count
	    t.string     :remark		       
	    t.timestamps       
    end    
  end
end
